apiVersion: v1
kind: PersistentVolume
metadata:
  name: downloads-nfs
spec:
  capacity:
    storage: 4500Gi
  accessModes:
    - ReadWriteMany
  nfs:
    server: 192.168.1.5
    path: "/fs/1000/nfs/downloads"
---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  namespace: "media"
  name: "downloads-nfs"
spec:
  storageClassName: ""
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 4500Gi

---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: configs-local-pv
  labels:
    type: local
    name: configs
spec:
  capacity:
    storage: 20Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Delete
  storageClassName: local-storage
  local:
    path: /mnt/k8s/configs
  nodeAffinity:
    required:
      nodeSelectorTerms:
        - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
                - server-3

---

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  namespace: media
  name: configs-local-pvc
spec:
  volumeName: configs-local-pv
  storageClassName: "local-storage"
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 20Gi
